Bug 2283598 - Review Request: rust-redis - Driver for Rust
Summary: Review Request: rust-redis - Driver for Rust
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jonathan Wright
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2283593 2283594 2283596 2283668
Blocks: 2290308
TreeView+ depends on / blocked
 
Reported: 2024-05-28 06:12 UTC by Davide Cavalca
Modified: 2024-07-06 00:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-07-06 00:17:27 UTC
Type: ---
Embargoed:
jonathan: fedora-review+


Attachments (Terms of Use)

Description Davide Cavalca 2024-05-28 06:12:16 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/rust-redis/rust-redis.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/rust-redis/rust-redis-0.25.3-1.fc41.src.rpm

Description:
Redis driver for Rust.

Fedora Account System Username: dcavalca

Comment 1 Davide Cavalca 2024-05-28 06:12:44 UTC
$ cat rust2rpm.toml
[package]
cargo-toml-patch-comments = [
  "Drop unneded criterion dependency",
  "Bump tempfile to 3.10",
]

[features]
hide = [
  # These need unpackaged crates with complex deptrees
  "async-native-tls",
  "async-std-native-tls-comp",
  "async-std-rustls-comp",
  "async-std-tls-comp",
  "futures-rustls",
]

[requires]
test = ["valkey-compat-redis"]

[tests]
skip = [
  "test_acl_log",
  "test_acl_whoami",
]
comments = ["Disable broken tests"]

Comment 2 Jonathan Wright 2024-06-01 03:57:11 UTC
I'll take this one.

Comment 3 Jonathan Wright 2024-06-01 05:26:08 UTC
Something is wrong with my fedora-review.  Will try again tomorrow.

Comment 4 Jonathan Wright 2024-06-18 15:46:22 UTC
fedora-review on my laptop hates this package too...

Comment 5 Jonathan Wright 2024-06-18 15:57:06 UTC
Ok I think this is why it's falling apart:

Problem: nothing provides requested (crate(futures-time/default) >= 3.0.0 with crate(futures-time/default) < 4.0.0~)

https://crates.io/crates/futures-time/3.0.0 is not currently packaged in Fedora that I'm seeing.

Comment 6 Davide Cavalca 2024-06-21 19:02:48 UTC
I've already filed that as https://bugzilla.redhat.com/show_bug.cgi?id=2283593 as it's listed as a dependency for this one (together with three other packages we need)

Comment 7 Jonathan Wright 2024-07-01 19:14:24 UTC
There's some MIT code in here:

BSD 3-Clause License
--------------------
rust-redis-0.25.3-build/redis-0.25.3/LICENSE

MIT License
-----------
rust-redis-0.25.3-build/redis-0.25.3/src/cluster_async/LICENSE

There are also no licenses included with the sub-packages.

Looks like there are more missing dependencies upon trying to install some of the generated sub-packages.

# dnf install *.rpm
Updating and loading repositories:
 Fedora - Rawhide - Developmental packages for the next Fedora release                                                                                                                                                                             100% |  72.6 KiB/s |  13.1 KiB |  00m00s
 Fedora - Rawhide - Developmental packages for the next Fedora release                                                                                                                                                                             100% |   2.5 MiB/s |   5.8 MiB |  00m02s
Repositories loaded.
Failed to resolve the transaction:
Problem 1: conflicting requests
  - nothing provides (crate(crc16/default) >= 0.4.0 with crate(crc16/default) < 0.5.0~) needed by rust-redis+crc16-devel-0.25.3-1.fc41.noarch from @commandline
 Problem 2: conflicting requests
  - nothing provides (crate(tokio-retry/default) >= 0.3.0 with crate(tokio-retry/default) < 0.4.0~) needed by rust-redis+tokio-retry-devel-0.25.3-1.fc41.noarch from @commandline
 Problem 3: package rust-redis+connection-manager-devel-0.25.3-1.fc41.noarch from @commandline requires crate(redis/tokio-retry) = 0.25.3, but none of the providers can be installed
  - conflicting requests
  - nothing provides (crate(tokio-retry/default) >= 0.3.0 with crate(tokio-retry/default) < 0.4.0~) needed by rust-redis+tokio-retry-devel-0.25.3-1.fc41.noarch from @commandline
 Problem 4: package rust-redis+cluster-devel-0.25.3-1.fc41.noarch from @commandline requires crate(redis/crc16) = 0.25.3, but none of the providers can be installed
  - conflicting requests
  - nothing provides (crate(crc16/default) >= 0.4.0 with crate(crc16/default) < 0.5.0~) needed by rust-redis+crc16-devel-0.25.3-1.fc41.noarch from @commandline
 Problem 5: package rust-redis+cluster-async-devel-0.25.3-1.fc41.noarch from @commandline requires crate(redis/cluster) = 0.25.3, but none of the providers can be installed
  - package rust-redis+cluster-devel-0.25.3-1.fc41.noarch from @commandline requires crate(redis/crc16) = 0.25.3, but none of the providers can be installed
  - conflicting requests
  - nothing provides (crate(crc16/default) >= 0.4.0 with crate(crc16/default) < 0.5.0~) needed by rust-redis+crc16-devel-0.25.3-1.fc41.noarch from @commandline
You can try to add to command line:
  --skip-broken to skip uninstallable packages

Looks like https://crates.io/crates/crc16 and https://crates.io/crates/tokio-retry need to be packaged.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/
- Package does not contain duplicates in %files.
  Note: warning: File listed twice:
  /usr/share/cargo/registry/redis-0.25.3/CHANGELOG.md
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_duplicate_files


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-Clause License", "MIT License".
     67 files have unknown license. Detailed output of licensecheck in
     /home/jonathan/fedora-review/2283598-rust-redis/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: The License field must be a valid SPDX expression.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rust-
     redis-devel , rust-redis+default-devel , rust-redis+acl-devel , rust-
     redis+ahash-devel , rust-redis+aio-devel , rust-redis+arc-swap-devel ,
     rust-redis+async-std-devel , rust-redis+async-std-comp-devel , rust-
     redis+async-trait-devel , rust-redis+bigdecimal-devel , rust-
     redis+bytes-devel , rust-redis+cluster-devel , rust-redis+cluster-
     async-devel , rust-redis+connection-manager-devel , rust-
     redis+crc16-devel , rust-redis+disable-client-setinfo-devel , rust-
     redis+futures-devel , rust-redis+futures-util-devel , rust-
     redis+geospatial-devel , rust-redis+json-devel , rust-redis+keep-
     alive-devel , rust-redis+log-devel , rust-redis+native-tls-devel ,
     rust-redis+num-bigint-devel , rust-redis+pin-project-lite-devel ,
     rust-redis+r2d2-devel , rust-redis+rand-devel , rust-
     redis+rust_decimal-devel , rust-redis+rustls-devel , rust-
     redis+rustls-native-certs-devel , rust-redis+rustls-pemfile-devel ,
     rust-redis+rustls-pki-types-devel , rust-redis+script-devel , rust-
     redis+sentinel-devel , rust-redis+serde-devel , rust-redis+serde_json-
     devel , rust-redis+sha1_smol-devel , rust-redis+socket2-devel , rust-
     redis+streams-devel , rust-redis+tcp_nodelay-devel , rust-redis+tls-
     devel , rust-redis+tls-native-tls-devel , rust-redis+tls-rustls-devel
     , rust-redis+tls-rustls-insecure-devel , rust-redis+tls-rustls-webpki-
     roots-devel , rust-redis+tokio-devel , rust-redis+tokio-comp-devel ,
     rust-redis+tokio-native-tls-devel , rust-redis+tokio-native-tls-comp-
     devel , rust-redis+tokio-retry-devel , rust-redis+tokio-rustls-devel ,
     rust-redis+tokio-rustls-comp-devel , rust-redis+tokio-util-devel ,
     rust-redis+uuid-devel , rust-redis+webpki-roots-devel
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: https://docs.fedoraproject.org/en-US/packaging-
     guidelines/#_use_rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 5.6 starting (python version = 3.12.3, NVR = mock-5.6-1.fc40), args: /usr/libexec/mock/mock -r fedora-rawhide-x86_64 --no-cleanup-after --no-clean --resultdir=/home/jonathan/fedora-review/2283598-rust-redis/results install /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+tokio-native-tls-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+tls-rustls-webpki-roots-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+sentinel-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+futures-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+bytes-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+tokio-retry-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+rand-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+serde-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+disable-client-setinfo-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+tokio-native-tls-comp-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+pin-project-lite-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+crc16-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+tls-rustls-insecure-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+rustls-pki-types-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+uuid-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+ahash-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+r2d2-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+cluster-async-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+script-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+rustls-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+tokio-util-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+keep-alive-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+connection-manager-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+webpki-roots-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+async-trait-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+async-std-comp-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+default-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+futures-util-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+async-std-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+json-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+sha1_smol-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+rustls-pemfile-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+tokio-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+rustls-native-certs-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+acl-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+tokio-comp-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+tokio-rustls-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+serde_json-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+tcp_nodelay-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+arc-swap-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+bigdecimal-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+tls-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+num-bigint-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+socket2-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+geospatial-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+tls-native-tls-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+log-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+aio-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+native-tls-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+cluster-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+streams-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+tls-rustls-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+rust_decimal-devel-0.25.3-1.fc41.noarch.rpm /home/jonathan/fedora-review/2283598-rust-redis/results/rust-redis+tokio-rustls-comp-devel-0.25.3-1.fc41.noarch.rpm
Start(bootstrap): init plugins
INFO: selinux enabled
Finish(bootstrap): init plugins
Start: init plugins
INFO: selinux enabled
Finish: init plugins
INFO: Signal handler active
Start: run
Mock Version: 5.6
INFO: Mock Version: 5.6
Start(bootstrap): chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled package manager cache
Start(bootstrap): cleaning package manager metadata
Finish(bootstrap): cleaning package manager metadata
INFO: Package manager dnf5 detected and used (fallback)
Finish(bootstrap): chroot init
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled package manager cache
Start: cleaning package manager metadata
Finish: cleaning package manager metadata
INFO: enabled HW Info plugin
INFO: Package manager dnf5 detected and used (direct choice)
Finish: chroot init
INFO: installing package(s): /builddir/rust-redis+tokio-native-tls-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+tls-rustls-webpki-roots-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+sentinel-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+futures-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+bytes-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+tokio-retry-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+rand-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+serde-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+disable-client-setinfo-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+tokio-native-tls-comp-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+pin-project-lite-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+crc16-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+tls-rustls-insecure-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+rustls-pki-types-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+uuid-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+ahash-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+r2d2-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+cluster-async-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+script-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+rustls-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+tokio-util-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+keep-alive-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+connection-manager-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+webpki-roots-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+async-trait-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+async-std-comp-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+default-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+futures-util-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+async-std-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+json-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+sha1_smol-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+rustls-pemfile-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+tokio-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+rustls-native-certs-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+acl-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+tokio-comp-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+tokio-rustls-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+serde_json-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+tcp_nodelay-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+arc-swap-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+bigdecimal-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+tls-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+num-bigint-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+socket2-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+geospatial-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+tls-native-tls-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+log-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+aio-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+native-tls-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+cluster-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+streams-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+tls-rustls-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+rust_decimal-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+tokio-rustls-comp-devel-0.25.3-1.fc41.noarch.rpm
ERROR: Command failed:
 # /usr/bin/systemd-nspawn -q -M 63b5363e18f04d54bad31c88f9fd65ee -D /var/lib/mock/fedora-rawhide-x86_64-bootstrap/root -a --capability=cap_ipc_lock --bind=/tmp/mock-resolv.qzkrl33z:/etc/resolv.conf --console=pipe --setenv=TERM=vt100 --setenv=SHELL=/bin/bash --setenv=HOME=/var/lib/mock/fedora-rawhide-x86_64/root/installation-homedir --setenv=HOSTNAME=mock --setenv=PATH=/usr/bin:/bin:/usr/sbin:/sbin '--setenv=PROMPT_COMMAND=printf "\033]0;<mock-chroot>\007"' '--setenv=PS1=<mock-chroot> \s-\v\$ ' --setenv=LANG=C.UTF-8 --setenv=LC_MESSAGES=C.UTF-8 --resolv-conf=off /usr/bin/dnf5 --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 41 install /builddir/rust-redis+tokio-native-tls-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+tls-rustls-webpki-roots-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+sentinel-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+futures-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+bytes-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+tokio-retry-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+rand-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+serde-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+disable-client-setinfo-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+tokio-native-tls-comp-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+pin-project-lite-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+crc16-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+tls-rustls-insecure-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+rustls-pki-types-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+uuid-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+ahash-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+r2d2-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+cluster-async-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+script-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+rustls-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+tokio-util-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+keep-alive-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+connection-manager-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+webpki-roots-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+async-trait-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+async-std-comp-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+default-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+futures-util-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+async-std-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+json-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+sha1_smol-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+rustls-pemfile-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+tokio-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+rustls-native-certs-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+acl-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+tokio-comp-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+tokio-rustls-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+serde_json-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+tcp_nodelay-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+arc-swap-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+bigdecimal-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+tls-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+num-bigint-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+socket2-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+geospatial-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+tls-native-tls-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+log-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+aio-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+native-tls-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+cluster-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+streams-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+tls-rustls-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+rust_decimal-devel-0.25.3-1.fc41.noarch.rpm /builddir/rust-redis+tokio-rustls-comp-devel-0.25.3-1.fc41.noarch.rpm --setopt=deltarpm=False --setopt=allow_vendor_change=yes --allowerasing --setopt=tsflags=nocontexts



Rpmlint
-------
Checking: rust-redis-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+default-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+acl-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+ahash-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+aio-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+arc-swap-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+async-std-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+async-std-comp-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+async-trait-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+bigdecimal-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+bytes-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+cluster-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+cluster-async-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+connection-manager-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+crc16-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+disable-client-setinfo-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+futures-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+futures-util-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+geospatial-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+json-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+keep-alive-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+log-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+native-tls-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+num-bigint-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+pin-project-lite-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+r2d2-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+rand-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+rust_decimal-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+rustls-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+rustls-native-certs-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+rustls-pemfile-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+rustls-pki-types-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+script-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+sentinel-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+serde-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+serde_json-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+sha1_smol-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+socket2-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+streams-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+tcp_nodelay-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+tls-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+tls-native-tls-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+tls-rustls-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+tls-rustls-insecure-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+tls-rustls-webpki-roots-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+tokio-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+tokio-comp-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+tokio-native-tls-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+tokio-native-tls-comp-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+tokio-retry-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+tokio-rustls-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+tokio-rustls-comp-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+tokio-util-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+uuid-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis+webpki-roots-devel-0.25.3-1.fc41.noarch.rpm
          rust-redis-0.25.3-1.fc41.src.rpm
================================================================================================================================== rpmlint session starts =================================================================================================================================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpsj98e1_0')]
checks: 32, packages: 56

rust-redis+acl-devel.noarch: W: no-documentation
rust-redis+ahash-devel.noarch: W: no-documentation
rust-redis+aio-devel.noarch: W: no-documentation
rust-redis+arc-swap-devel.noarch: W: no-documentation
rust-redis+async-std-comp-devel.noarch: W: no-documentation
rust-redis+async-std-devel.noarch: W: no-documentation
rust-redis+async-trait-devel.noarch: W: no-documentation
rust-redis+bigdecimal-devel.noarch: W: no-documentation
rust-redis+bytes-devel.noarch: W: no-documentation
rust-redis+cluster-async-devel.noarch: W: no-documentation
rust-redis+cluster-devel.noarch: W: no-documentation
rust-redis+connection-manager-devel.noarch: W: no-documentation
rust-redis+crc16-devel.noarch: W: no-documentation
rust-redis+default-devel.noarch: W: no-documentation
rust-redis+disable-client-setinfo-devel.noarch: W: no-documentation
rust-redis+futures-devel.noarch: W: no-documentation
rust-redis+futures-util-devel.noarch: W: no-documentation
rust-redis+geospatial-devel.noarch: W: no-documentation
rust-redis+json-devel.noarch: W: no-documentation
rust-redis+keep-alive-devel.noarch: W: no-documentation
rust-redis+log-devel.noarch: W: no-documentation
rust-redis+native-tls-devel.noarch: W: no-documentation
rust-redis+num-bigint-devel.noarch: W: no-documentation
rust-redis+pin-project-lite-devel.noarch: W: no-documentation
rust-redis+r2d2-devel.noarch: W: no-documentation
rust-redis+rand-devel.noarch: W: no-documentation
rust-redis+rust_decimal-devel.noarch: W: no-documentation
rust-redis+rustls-devel.noarch: W: no-documentation
rust-redis+rustls-native-certs-devel.noarch: W: no-documentation
rust-redis+rustls-pemfile-devel.noarch: W: no-documentation
rust-redis+rustls-pki-types-devel.noarch: W: no-documentation
rust-redis+script-devel.noarch: W: no-documentation
rust-redis+sentinel-devel.noarch: W: no-documentation
rust-redis+serde-devel.noarch: W: no-documentation
rust-redis+serde_json-devel.noarch: W: no-documentation
rust-redis+sha1_smol-devel.noarch: W: no-documentation
rust-redis+socket2-devel.noarch: W: no-documentation
rust-redis+streams-devel.noarch: W: no-documentation
rust-redis+tcp_nodelay-devel.noarch: W: no-documentation
rust-redis+tls-devel.noarch: W: no-documentation
rust-redis+tls-native-tls-devel.noarch: W: no-documentation
rust-redis+tls-rustls-devel.noarch: W: no-documentation
rust-redis+tls-rustls-insecure-devel.noarch: W: no-documentation
rust-redis+tls-rustls-webpki-roots-devel.noarch: W: no-documentation
rust-redis+tokio-comp-devel.noarch: W: no-documentation
rust-redis+tokio-devel.noarch: W: no-documentation
rust-redis+tokio-native-tls-comp-devel.noarch: W: no-documentation
rust-redis+tokio-native-tls-devel.noarch: W: no-documentation
rust-redis+tokio-retry-devel.noarch: W: no-documentation
rust-redis+tokio-rustls-comp-devel.noarch: W: no-documentation
rust-redis+tokio-rustls-devel.noarch: W: no-documentation
rust-redis+tokio-util-devel.noarch: W: no-documentation
rust-redis+uuid-devel.noarch: W: no-documentation
rust-redis+webpki-roots-devel.noarch: W: no-documentation
=========================================================================================== 56 packages and 0 specfiles checked; 0 errors, 54 warnings, 277 filtered, 0 badness; has taken 4.4 s ==========================================================================================




Source checksums
----------------
https://crates.io/api/v1/crates/redis/0.25.3/download#/redis-0.25.3.crate :
  CHECKSUM(SHA256) this package     : 6472825949c09872e8f2c50bde59fcefc17748b6be5c90fd67cd8b4daca73bfd
  CHECKSUM(SHA256) upstream package : 6472825949c09872e8f2c50bde59fcefc17748b6be5c90fd67cd8b4daca73bfd


Requires
--------
rust-redis-devel (rpmlib, GLIBC filtered):
    (crate(combine) >= 4.6.0 with crate(combine) < 5.0.0~)
    (crate(combine/std) >= 4.6.0 with crate(combine/std) < 5.0.0~)
    (crate(itoa/default) >= 1.0.0 with crate(itoa/default) < 2.0.0~)
    (crate(percent-encoding/default) >= 2.1.0 with crate(percent-encoding/default) < 3.0.0~)
    (crate(ryu/default) >= 1.0.0 with crate(ryu/default) < 2.0.0~)
    (crate(url/default) >= 2.1.0 with crate(url/default) < 3.0.0~)
    cargo
    rust

rust-redis+default-devel (rpmlib, GLIBC filtered):
    cargo
    crate(redis)
    crate(redis/acl)
    crate(redis/geospatial)
    crate(redis/keep-alive)
    crate(redis/script)
    crate(redis/streams)

rust-redis+acl-devel (rpmlib, GLIBC filtered):
    cargo
    crate(redis)

rust-redis+ahash-devel (rpmlib, GLIBC filtered):
    (crate(ahash/default) >= 0.8.6 with crate(ahash/default) < 0.9.0~)
    cargo
    crate(redis)

rust-redis+aio-devel (rpmlib, GLIBC filtered):
    (crate(combine/tokio) >= 4.6.0 with crate(combine/tokio) < 5.0.0~)
    (crate(futures-util) >= 0.3.15 with crate(futures-util) < 0.4.0~)
    (crate(futures-util/alloc) >= 0.3.15 with crate(futures-util/alloc) < 0.4.0~)
    (crate(futures-util/sink) >= 0.3.15 with crate(futures-util/sink) < 0.4.0~)
    (crate(tokio-util/codec) >= 0.7.0 with crate(tokio-util/codec) < 0.8.0~)
    (crate(tokio-util/default) >= 0.7.0 with crate(tokio-util/default) < 0.8.0~)
    (crate(tokio/default) >= 1.0.0 with crate(tokio/default) < 2.0.0~)
    (crate(tokio/io-util) >= 1.0.0 with crate(tokio/io-util) < 2.0.0~)
    (crate(tokio/net) >= 1.0.0 with crate(tokio/net) < 2.0.0~)
    (crate(tokio/rt) >= 1.0.0 with crate(tokio/rt) < 2.0.0~)
    (crate(tokio/sync) >= 1.0.0 with crate(tokio/sync) < 2.0.0~)
    (crate(tokio/time) >= 1.0.0 with crate(tokio/time) < 2.0.0~)
    cargo
    crate(redis)
    crate(redis/async-trait)
    crate(redis/bytes)
    crate(redis/futures-util)
    crate(redis/pin-project-lite)
    crate(redis/tokio-util)

rust-redis+arc-swap-devel (rpmlib, GLIBC filtered):
    (crate(arc-swap/default) >= 1.1.0 with crate(arc-swap/default) < 2.0.0~)
    cargo
    crate(redis)

rust-redis+async-std-devel (rpmlib, GLIBC filtered):
    (crate(async-std/default) >= 1.8.0 with crate(async-std/default) < 2.0.0~)
    cargo
    crate(redis)

rust-redis+async-std-comp-devel (rpmlib, GLIBC filtered):
    cargo
    crate(redis)
    crate(redis/aio)
    crate(redis/async-std)

rust-redis+async-trait-devel (rpmlib, GLIBC filtered):
    (crate(async-trait/default) >= 0.1.24 with crate(async-trait/default) < 0.2.0~)
    cargo
    crate(redis)

rust-redis+bigdecimal-devel (rpmlib, GLIBC filtered):
    (crate(bigdecimal/default) >= 0.4.2 with crate(bigdecimal/default) < 0.5.0~)
    cargo
    crate(redis)

rust-redis+bytes-devel (rpmlib, GLIBC filtered):
    (crate(bytes/default) >= 1.0.0 with crate(bytes/default) < 2.0.0~)
    cargo
    crate(redis)

rust-redis+cluster-devel (rpmlib, GLIBC filtered):
    cargo
    crate(redis)
    crate(redis/crc16)
    crate(redis/rand)

rust-redis+cluster-async-devel (rpmlib, GLIBC filtered):
    cargo
    crate(redis)
    crate(redis/cluster)
    crate(redis/futures)
    crate(redis/futures-util)
    crate(redis/log)

rust-redis+connection-manager-devel (rpmlib, GLIBC filtered):
    cargo
    crate(redis)
    crate(redis/aio)
    crate(redis/arc-swap)
    crate(redis/futures)
    crate(redis/tokio-retry)

rust-redis+crc16-devel (rpmlib, GLIBC filtered):
    (crate(crc16/default) >= 0.4.0 with crate(crc16/default) < 0.5.0~)
    cargo
    crate(redis)

rust-redis+disable-client-setinfo-devel (rpmlib, GLIBC filtered):
    cargo
    crate(redis)

rust-redis+futures-devel (rpmlib, GLIBC filtered):
    (crate(futures/default) >= 0.3.3 with crate(futures/default) < 0.4.0~)
    cargo
    crate(redis)

rust-redis+futures-util-devel (rpmlib, GLIBC filtered):
    (crate(futures-util) >= 0.3.15 with crate(futures-util) < 0.4.0~)
    cargo
    crate(redis)

rust-redis+geospatial-devel (rpmlib, GLIBC filtered):
    cargo
    crate(redis)

rust-redis+json-devel (rpmlib, GLIBC filtered):
    (crate(serde/default) >= 1.0.82 with crate(serde/default) < 2.0.0~)
    (crate(serde/derive) >= 1.0.82 with crate(serde/derive) < 2.0.0~)
    cargo
    crate(redis)
    crate(redis/serde)
    crate(redis/serde_json)

rust-redis+keep-alive-devel (rpmlib, GLIBC filtered):
    cargo
    crate(redis)
    crate(redis/socket2)

rust-redis+log-devel (rpmlib, GLIBC filtered):
    (crate(log/default) >= 0.4.0 with crate(log/default) < 0.5.0~)
    cargo
    crate(redis)

rust-redis+native-tls-devel (rpmlib, GLIBC filtered):
    (crate(native-tls/default) >= 0.2.0 with crate(native-tls/default) < 0.3.0~)
    cargo
    crate(redis)

rust-redis+num-bigint-devel (rpmlib, GLIBC filtered):
    (crate(num-bigint/default) >= 0.4.4 with crate(num-bigint/default) < 0.5.0~)
    cargo
    crate(redis)

rust-redis+pin-project-lite-devel (rpmlib, GLIBC filtered):
    (crate(pin-project-lite/default) >= 0.2.0 with crate(pin-project-lite/default) < 0.3.0~)
    cargo
    crate(redis)

rust-redis+r2d2-devel (rpmlib, GLIBC filtered):
    (crate(r2d2/default) >= 0.8.8 with crate(r2d2/default) < 0.9.0~)
    cargo
    crate(redis)

rust-redis+rand-devel (rpmlib, GLIBC filtered):
    (crate(rand/default) >= 0.8.0 with crate(rand/default) < 0.9.0~)
    cargo
    crate(redis)

rust-redis+rust_decimal-devel (rpmlib, GLIBC filtered):
    (crate(rust_decimal/default) >= 1.33.1 with crate(rust_decimal/default) < 2.0.0~)
    cargo
    crate(redis)

rust-redis+rustls-devel (rpmlib, GLIBC filtered):
    (crate(rustls/default) >= 0.22.0 with crate(rustls/default) < 0.23.0~)
    cargo
    crate(redis)

rust-redis+rustls-native-certs-devel (rpmlib, GLIBC filtered):
    (crate(rustls-native-certs/default) >= 0.7.0 with crate(rustls-native-certs/default) < 0.8.0~)
    cargo
    crate(redis)

rust-redis+rustls-pemfile-devel (rpmlib, GLIBC filtered):
    (crate(rustls-pemfile/default) >= 2.0.0 with crate(rustls-pemfile/default) < 3.0.0~)
    cargo
    crate(redis)

rust-redis+rustls-pki-types-devel (rpmlib, GLIBC filtered):
    (crate(rustls-pki-types/default) >= 1.0.0 with crate(rustls-pki-types/default) < 2.0.0~)
    cargo
    crate(redis)

rust-redis+script-devel (rpmlib, GLIBC filtered):
    cargo
    crate(redis)
    crate(redis/sha1_smol)

rust-redis+sentinel-devel (rpmlib, GLIBC filtered):
    cargo
    crate(redis)
    crate(redis/rand)

rust-redis+serde-devel (rpmlib, GLIBC filtered):
    (crate(serde/default) >= 1.0.82 with crate(serde/default) < 2.0.0~)
    cargo
    crate(redis)

rust-redis+serde_json-devel (rpmlib, GLIBC filtered):
    (crate(serde_json/default) >= 1.0.82 with crate(serde_json/default) < 2.0.0~)
    cargo
    crate(redis)

rust-redis+sha1_smol-devel (rpmlib, GLIBC filtered):
    (crate(sha1_smol/default) >= 1.0.0 with crate(sha1_smol/default) < 2.0.0~)
    cargo
    crate(redis)

rust-redis+socket2-devel (rpmlib, GLIBC filtered):
    (crate(socket2) >= 0.5.0 with crate(socket2) < 0.6.0~)
    cargo
    crate(redis)

rust-redis+streams-devel (rpmlib, GLIBC filtered):
    cargo
    crate(redis)

rust-redis+tcp_nodelay-devel (rpmlib, GLIBC filtered):
    cargo
    crate(redis)

rust-redis+tls-devel (rpmlib, GLIBC filtered):
    cargo
    crate(redis)
    crate(redis/tls-native-tls)

rust-redis+tls-native-tls-devel (rpmlib, GLIBC filtered):
    cargo
    crate(redis)
    crate(redis/native-tls)

rust-redis+tls-rustls-devel (rpmlib, GLIBC filtered):
    cargo
    crate(redis)
    crate(redis/rustls)
    crate(redis/rustls-native-certs)
    crate(redis/rustls-pemfile)
    crate(redis/rustls-pki-types)

rust-redis+tls-rustls-insecure-devel (rpmlib, GLIBC filtered):
    cargo
    crate(redis)
    crate(redis/tls-rustls)

rust-redis+tls-rustls-webpki-roots-devel (rpmlib, GLIBC filtered):
    cargo
    crate(redis)
    crate(redis/tls-rustls)
    crate(redis/webpki-roots)

rust-redis+tokio-devel (rpmlib, GLIBC filtered):
    (crate(tokio/default) >= 1.0.0 with crate(tokio/default) < 2.0.0~)
    (crate(tokio/net) >= 1.0.0 with crate(tokio/net) < 2.0.0~)
    (crate(tokio/rt) >= 1.0.0 with crate(tokio/rt) < 2.0.0~)
    (crate(tokio/time) >= 1.0.0 with crate(tokio/time) < 2.0.0~)
    cargo
    crate(redis)

rust-redis+tokio-comp-devel (rpmlib, GLIBC filtered):
    (crate(tokio/default) >= 1.0.0 with crate(tokio/default) < 2.0.0~)
    (crate(tokio/net) >= 1.0.0 with crate(tokio/net) < 2.0.0~)
    (crate(tokio/rt) >= 1.0.0 with crate(tokio/rt) < 2.0.0~)
    (crate(tokio/time) >= 1.0.0 with crate(tokio/time) < 2.0.0~)
    cargo
    crate(redis)
    crate(redis/aio)
    crate(redis/tokio)

rust-redis+tokio-native-tls-devel (rpmlib, GLIBC filtered):
    (crate(tokio-native-tls/default) >= 0.3.0 with crate(tokio-native-tls/default) < 0.4.0~)
    cargo
    crate(redis)

rust-redis+tokio-native-tls-comp-devel (rpmlib, GLIBC filtered):
    cargo
    crate(redis)
    crate(redis/tls-native-tls)
    crate(redis/tokio-comp)
    crate(redis/tokio-native-tls)

rust-redis+tokio-retry-devel (rpmlib, GLIBC filtered):
    (crate(tokio-retry/default) >= 0.3.0 with crate(tokio-retry/default) < 0.4.0~)
    cargo
    crate(redis)

rust-redis+tokio-rustls-devel (rpmlib, GLIBC filtered):
    (crate(tokio-rustls/default) >= 0.25.0 with crate(tokio-rustls/default) < 0.26.0~)
    cargo
    crate(redis)

rust-redis+tokio-rustls-comp-devel (rpmlib, GLIBC filtered):
    cargo
    crate(redis)
    crate(redis/tls-rustls)
    crate(redis/tokio-comp)
    crate(redis/tokio-rustls)

rust-redis+tokio-util-devel (rpmlib, GLIBC filtered):
    (crate(tokio-util/default) >= 0.7.0 with crate(tokio-util/default) < 0.8.0~)
    cargo
    crate(redis)

rust-redis+uuid-devel (rpmlib, GLIBC filtered):
    (crate(uuid/default) >= 1.6.1 with crate(uuid/default) < 2.0.0~)
    cargo
    crate(redis)

rust-redis+webpki-roots-devel (rpmlib, GLIBC filtered):
    (crate(webpki-roots/default) >= 0.26.0 with crate(webpki-roots/default) < 0.27.0~)
    cargo
    crate(redis)



Provides
--------
rust-redis-devel:
    crate(redis)
    rust-redis-devel

rust-redis+default-devel:
    crate(redis/default)
    rust-redis+default-devel

rust-redis+acl-devel:
    crate(redis/acl)
    rust-redis+acl-devel

rust-redis+ahash-devel:
    crate(redis/ahash)
    rust-redis+ahash-devel

rust-redis+aio-devel:
    crate(redis/aio)
    rust-redis+aio-devel

rust-redis+arc-swap-devel:
    crate(redis/arc-swap)
    rust-redis+arc-swap-devel

rust-redis+async-std-devel:
    crate(redis/async-std)
    rust-redis+async-std-devel

rust-redis+async-std-comp-devel:
    crate(redis/async-std-comp)
    rust-redis+async-std-comp-devel

rust-redis+async-trait-devel:
    crate(redis/async-trait)
    rust-redis+async-trait-devel

rust-redis+bigdecimal-devel:
    crate(redis/bigdecimal)
    rust-redis+bigdecimal-devel

rust-redis+bytes-devel:
    crate(redis/bytes)
    rust-redis+bytes-devel

rust-redis+cluster-devel:
    crate(redis/cluster)
    rust-redis+cluster-devel

rust-redis+cluster-async-devel:
    crate(redis/cluster-async)
    rust-redis+cluster-async-devel

rust-redis+connection-manager-devel:
    crate(redis/connection-manager)
    rust-redis+connection-manager-devel

rust-redis+crc16-devel:
    crate(redis/crc16)
    rust-redis+crc16-devel

rust-redis+disable-client-setinfo-devel:
    crate(redis/disable-client-setinfo)
    rust-redis+disable-client-setinfo-devel

rust-redis+futures-devel:
    crate(redis/futures)
    rust-redis+futures-devel

rust-redis+futures-util-devel:
    crate(redis/futures-util)
    rust-redis+futures-util-devel

rust-redis+geospatial-devel:
    crate(redis/geospatial)
    rust-redis+geospatial-devel

rust-redis+json-devel:
    crate(redis/json)
    rust-redis+json-devel

rust-redis+keep-alive-devel:
    crate(redis/keep-alive)
    rust-redis+keep-alive-devel

rust-redis+log-devel:
    crate(redis/log)
    rust-redis+log-devel

rust-redis+native-tls-devel:
    crate(redis/native-tls)
    rust-redis+native-tls-devel

rust-redis+num-bigint-devel:
    crate(redis/num-bigint)
    rust-redis+num-bigint-devel

rust-redis+pin-project-lite-devel:
    crate(redis/pin-project-lite)
    rust-redis+pin-project-lite-devel

rust-redis+r2d2-devel:
    crate(redis/r2d2)
    rust-redis+r2d2-devel

rust-redis+rand-devel:
    crate(redis/rand)
    rust-redis+rand-devel

rust-redis+rust_decimal-devel:
    crate(redis/rust_decimal)
    rust-redis+rust_decimal-devel

rust-redis+rustls-devel:
    crate(redis/rustls)
    rust-redis+rustls-devel

rust-redis+rustls-native-certs-devel:
    crate(redis/rustls-native-certs)
    rust-redis+rustls-native-certs-devel

rust-redis+rustls-pemfile-devel:
    crate(redis/rustls-pemfile)
    rust-redis+rustls-pemfile-devel

rust-redis+rustls-pki-types-devel:
    crate(redis/rustls-pki-types)
    rust-redis+rustls-pki-types-devel

rust-redis+script-devel:
    crate(redis/script)
    rust-redis+script-devel

rust-redis+sentinel-devel:
    crate(redis/sentinel)
    rust-redis+sentinel-devel

rust-redis+serde-devel:
    crate(redis/serde)
    rust-redis+serde-devel

rust-redis+serde_json-devel:
    crate(redis/serde_json)
    rust-redis+serde_json-devel

rust-redis+sha1_smol-devel:
    crate(redis/sha1_smol)
    rust-redis+sha1_smol-devel

rust-redis+socket2-devel:
    crate(redis/socket2)
    rust-redis+socket2-devel

rust-redis+streams-devel:
    crate(redis/streams)
    rust-redis+streams-devel

rust-redis+tcp_nodelay-devel:
    crate(redis/tcp_nodelay)
    rust-redis+tcp_nodelay-devel

rust-redis+tls-devel:
    crate(redis/tls)
    rust-redis+tls-devel

rust-redis+tls-native-tls-devel:
    crate(redis/tls-native-tls)
    rust-redis+tls-native-tls-devel

rust-redis+tls-rustls-devel:
    crate(redis/tls-rustls)
    rust-redis+tls-rustls-devel

rust-redis+tls-rustls-insecure-devel:
    crate(redis/tls-rustls-insecure)
    rust-redis+tls-rustls-insecure-devel

rust-redis+tls-rustls-webpki-roots-devel:
    crate(redis/tls-rustls-webpki-roots)
    rust-redis+tls-rustls-webpki-roots-devel

rust-redis+tokio-devel:
    crate(redis/tokio)
    rust-redis+tokio-devel

rust-redis+tokio-comp-devel:
    crate(redis/tokio-comp)
    rust-redis+tokio-comp-devel

rust-redis+tokio-native-tls-devel:
    crate(redis/tokio-native-tls)
    rust-redis+tokio-native-tls-devel

rust-redis+tokio-native-tls-comp-devel:
    crate(redis/tokio-native-tls-comp)
    rust-redis+tokio-native-tls-comp-devel

rust-redis+tokio-retry-devel:
    crate(redis/tokio-retry)
    rust-redis+tokio-retry-devel

rust-redis+tokio-rustls-devel:
    crate(redis/tokio-rustls)
    rust-redis+tokio-rustls-devel

rust-redis+tokio-rustls-comp-devel:
    crate(redis/tokio-rustls-comp)
    rust-redis+tokio-rustls-comp-devel

rust-redis+tokio-util-devel:
    crate(redis/tokio-util)
    rust-redis+tokio-util-devel

rust-redis+uuid-devel:
    crate(redis/uuid)
    rust-redis+uuid-devel

rust-redis+webpki-roots-devel:
    crate(redis/webpki-roots)
    rust-redis+webpki-roots-devel



Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2283598
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: C/C++, Haskell, Java, R, PHP, Python, fonts, SugarActivity, Ocaml, Perl
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

Comment 8 Davide Cavalca 2024-07-05 15:55:41 UTC
> There's some MIT code in here:

Good catch, will fix.

> There are also no licenses included with the sub-packages.

This is normal for rust -devel subpackages (they're basically just meta packages used to represent the various features for depsolving purposes).

> Looks like there are more missing dependencies upon trying to install some of the generated sub-packages.

This should be sorted out now, rebuilding to check.

Comment 9 Davide Cavalca 2024-07-05 16:10:06 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/rust-redis/rust-redis.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/rust-redis/rust-redis-0.25.4-1.fc41.src.rpm

Changelog:
- update to 0.25.4
- fix license tag
- rebuild for missing dependencies

Comment 10 Davide Cavalca 2024-07-05 16:10:24 UTC
$ cat rust2rpm.toml 
[package]
cargo-toml-patch-comments = [
  "Drop unneded criterion dependency",
  "Bump tempfile to 3.10",
  "Bump async-native-tls to 0.5",
  "Bump tokio-rustls to 0.26",
]

[features]
hide = [
  # These need unpackaged crates with complex deptrees
  "async-std-rustls-comp",
  "futures-rustls",
]

[requires]
test = ["valkey-compat-redis"]

[tests]
skip = [
  "test_acl_log",
  "test_acl_whoami",
]
comments = ["Disable broken tests"]

Comment 11 Jonathan Wright 2024-07-05 16:15:41 UTC
Package is approved!

Comment 12 Fedora Admin user for bugzilla script actions 2024-07-05 16:25:25 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-redis

Comment 13 Fedora Update System 2024-07-06 00:12:40 UTC
FEDORA-2024-f68d9abf37 (rust-redis-0.25.4-3.fc41) has been submitted as an update to Fedora 41.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-f68d9abf37

Comment 14 Fedora Update System 2024-07-06 00:17:27 UTC
FEDORA-2024-f68d9abf37 (rust-redis-0.25.4-3.fc41) has been pushed to the Fedora 41 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.